Retrieve information for all calls
A code snippet that shows how to retrieve information for all calls.
Example
Prerequisites
Execute the following command at your terminal prompt to create the JWT for authentication:
export JWT=$(nexmo jwt:generate $PATH_TO_PRIVATE_KEY application_id=$NEXMO_APPLICATION_ID)Write the code
Add the following to retrieve-info-for-all-calls.sh:
curl "https://api.nexmo.com/v1/calls" \
-H "Authorization: Bearer $JWT" \Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdkCreate a file named retrieve-info-for-all-calls.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Write the code
Add the following to retrieve-info-for-all-calls.js:
const getCalls = async () => {
try {
for await (const call of vonage.voice.getAllCalls()) {
console.log(call);
}
} catch (error) {
console.error(error);
}
};
getCalls();Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
Create a file named RetrieveInfoForAllCalls and add the following code to the main method:
Write the code
Add the following to the main method of the RetrieveInfoForAllCalls file:
Run your code
We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.voice with the package containing RetrieveInfoForAllCalls:
Prerequisites
Add the following to build.gradle:
Create a file named RetrieveInfoForAllCalls and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the RetrieveInfoForAllCalls file:
Instant now = Instant.now(), yesterday = now.minus(Duration.ofDays(1));
CallsFilter filter = CallsFilter.builder()
.startDate(yesterday)
.endDate(now)
.build();
CallInfoPage calls = client.getVoiceClient().listCalls(filter);
calls.forEach(System.out::println);Run your code
We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.voice with the package containing RetrieveInfoForAllCalls:
Prerequisites
Install-Package VonagePrerequisites
composer require vonage/clientRun your code
Save this file to your machine and run it:
Prerequisites
pip install vonage python-dotenvRun your code
Save this file to your machine and run it:
Prerequisites
gem install vonageWrite the code
Add the following to retrieve-info-for-all-calls.rb:
client = Vonage::Client.new(
application_id: VONAGE_APPLICATION_ID,
private_key: VONAGE_PRIVATE_KEY
)
now = Time.now
yesterday = now - (3600 * 24)
response = client.voice.list({date_start: yesterday.utc.iso8601, date_end: now.utc.iso8601})Run your code
Save this file to your machine and run it:
Try it out
Run the example code to retrieve information for all calls.